stream_decoder.c File Reference

Decodes .xz Streams. More...

`#include "stream_decoder.h"`
`#include "block_decoder.h"`

## Data Structures

struct | lzma_stream_coder

## Functions

static lzma_ret | stream_decoder_reset (lzma_stream_coder *coder, const lzma_allocator *allocator)
static lzma_ret | stream_decode (void *coder_ptr, const lzma_allocator *allocator, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size, lzma_action action)
static void | stream_decoder_end (void *coder_ptr, const lzma_allocator *allocator)
static lzma_check | stream_decoder_get_check (const void *coder_ptr)
static lzma_ret | stream_decoder_memconfig (void *coder_ptr, uint64_t *memusage, uint64_t *old_memlimit, uint64_t new_memlimit)
lzma_ret | lzma_stream_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, uint64_t memlimit, uint32_t flags)
lzma_ret | lzma_stream_decoder (lzma_stream *strm, uint64_t memlimit, uint32_t flags)
| Initialize .xz Stream decoder. More...

## Detailed Description

Decodes .xz Streams.

## Function Documentation

## lzma_stream_decoder()

lzma_ret lzma_stream_decoder | ( | lzma_stream * | strm,
|  | uint64_t | memlimit,
|  | uint32_t | flags
| ) |  |

Initialize .xz Stream decoder.

Parameters

  strm | Pointer to properly prepared lzma_stream
  memlimit | Memory usage limit as bytes. Use UINT64_MAX to effectively disable the limiter. liblzma 5.2.3 and earlier don't allow 0 here and return LZMA_PROG_ERROR; later versions treat 0 as if 1 had been specified.
  flags | Bitwise-or of zero or more of the decoder flags: LZMA_TELL_NO_CHECK, LZMA_TELL_UNSUPPORTED_CHECK, LZMA_TELL_ANY_CHECK, LZMA_CONCATENATED

Returns
  - LZMA_OK: Initialization was successful.
  - LZMA_MEM_ERROR: Cannot allocate memory.
  - LZMA_OPTIONS_ERROR: Unsupported flags
  - LZMA_PROG_ERROR

References lzma_next_strm_init.